import request from '@/utils/request'

// 查询品牌荣誉信息列表
export function listInfo(query) {
    return request({
        url: '/crmBrandHonorInfo/findByPage',
        method: 'get',
        params: query
    })
}

// 查询品牌荣誉信息详细
export function getInfo(id) {
    return request({
        url: '/crmBrandHonorInfo/' + id,
        method: 'get'
    })
}

// 新增品牌荣誉信息
export function addInfo(data) {
    return request({
        url: '/crmBrandHonorInfo',
        method: 'post',
        data: data
    })
}

// 修改品牌荣誉信息
export function updateInfo(data) {
    return request({
        url: '/crmBrandHonorInfo',
        method: 'put',
        data: data
    })
}

// 删除品牌荣誉信息
export function delInfo(id) {
    return request({
        url: '/crmBrandHonorInfo/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
    console.log(ids);
    return request.post('/crmBrandHonorInfo/delete',ids)
}